Package org.springframework.web.util.pattern

# Enum Class PatternParseException.PatternMessage

java.lang.Object
java.lang.Enum<PatternParseException.PatternMessage>
org.springframework.web.util.pattern.PatternParseException.PatternMessage

All Implemented Interfaces:
  `Serializable`, `Comparable<PatternParseException.PatternMessage>`, `Constable`

Enclosing class:
  PatternParseException

public static enum PatternParseException.PatternMessage extends Enum<PatternParseException.PatternMessage>
The messages that can be included in a `PatternParseException` when there is a parse failure.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BADLY_FORMED_CAPTURE_THE_REST`
`CANNOT_HAVE_ADJACENT_CAPTURES`
`CAPTURE_ALL_IS_STANDALONE_CONSTRUCT`
`ILLEGAL_CHARACTER_AT_START_OF_CAPTURE_DESCRIPTOR`
`ILLEGAL_CHARACTER_IN_CAPTURE_DESCRIPTOR`
`ILLEGAL_DOUBLE_CAPTURE`
`ILLEGAL_NESTED_CAPTURE`
`MISSING_CLOSE_CAPTURE`
`MISSING_OPEN_CAPTURE`
`MISSING_REGEX_CONSTRAINT`
`NO_MORE_DATA_EXPECTED_AFTER_CAPTURE_THE_REST`
`REGEX_PATTERN_SYNTAX_EXCEPTION`

## Method Summary

Modifier and Type
Method
Description
`String`
`formatMessage(Object... inserts)`
`static PatternParseException.PatternMessage`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PatternParseException.PatternMessage[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MISSING_CLOSE_CAPTURE

public static final PatternParseException.PatternMessage MISSING_CLOSE_CAPTURE

### MISSING_OPEN_CAPTURE

public static final PatternParseException.PatternMessage MISSING_OPEN_CAPTURE

### ILLEGAL_NESTED_CAPTURE

public static final PatternParseException.PatternMessage ILLEGAL_NESTED_CAPTURE

### CANNOT_HAVE_ADJACENT_CAPTURES

public static final PatternParseException.PatternMessage CANNOT_HAVE_ADJACENT_CAPTURES

### ILLEGAL_CHARACTER_AT_START_OF_CAPTURE_DESCRIPTOR

public static final PatternParseException.PatternMessage ILLEGAL_CHARACTER_AT_START_OF_CAPTURE_DESCRIPTOR

### ILLEGAL_CHARACTER_IN_CAPTURE_DESCRIPTOR

public static final PatternParseException.PatternMessage ILLEGAL_CHARACTER_IN_CAPTURE_DESCRIPTOR

### NO_MORE_DATA_EXPECTED_AFTER_CAPTURE_THE_REST

public static final PatternParseException.PatternMessage NO_MORE_DATA_EXPECTED_AFTER_CAPTURE_THE_REST

### BADLY_FORMED_CAPTURE_THE_REST

public static final PatternParseException.PatternMessage BADLY_FORMED_CAPTURE_THE_REST

### MISSING_REGEX_CONSTRAINT

public static final PatternParseException.PatternMessage MISSING_REGEX_CONSTRAINT

### ILLEGAL_DOUBLE_CAPTURE

public static final PatternParseException.PatternMessage ILLEGAL_DOUBLE_CAPTURE

### REGEX_PATTERN_SYNTAX_EXCEPTION

public static final PatternParseException.PatternMessage REGEX_PATTERN_SYNTAX_EXCEPTION

### CAPTURE_ALL_IS_STANDALONE_CONSTRUCT

public static final PatternParseException.PatternMessage CAPTURE_ALL_IS_STANDALONE_CONSTRUCT

## Method Details

### values

public static PatternParseException.PatternMessage[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PatternParseException.PatternMessage valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### formatMessage

public String formatMessage(Object... inserts)